Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.codecs.simpletext
Class SimpleTextStoredFieldsFormat

    java.lang.Object
      org.apache.lucene.codecs.StoredFieldsFormat
          org.apache.lucene.codecs.simpletext.SimpleTextStoredFieldsFormat

    public class SimpleTextStoredFieldsFormat

extends StoredFieldsFormat

plain text stored fields format.

FOR RECREATIONAL USE ONLY

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`SimpleTextStoredFieldsFormat()`

Method Summary
`StoredFieldsReader` | `fieldsReader(Directory directory, SegmentInfo si, FieldInfos fn, IOContext context)`
`StoredFieldsWriter` | `fieldsWriter(Directory directory, SegmentInfo si, IOContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleTextStoredFieldsFormat

    public SimpleTextStoredFieldsFormat()

Method Detail

### fieldsReader

    public StoredFieldsReader fieldsReader(Directory directory,
                                           SegmentInfo si,
                                           FieldInfos fn,
                                           IOContext context)
                                    throws IOException

  Specified by:
    `fieldsReader` in class `StoredFieldsFormat`
  Throws:
    `IOException`

### fieldsWriter

    public StoredFieldsWriter fieldsWriter(Directory directory,
                                           SegmentInfo si,
                                           IOContext context)
                                    throws IOException

  Specified by:
    `fieldsWriter` in class `StoredFieldsFormat`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.